import * as Logger from 'bunyan';
import { IOutputService, IPodsRes, INewOutputPod } from '../interfaces';
export declare enum COMMAND {
    STERN = "stern"
}
export declare enum SternFlags {
    LABEL = "-l",
    TAIL = "--tail",
    STREAM = "-f",
    NAMESPACE = "-n",
    CONTAINER = "-c",
    TIMESTAMPS = "--timestamps"
}
export declare class OutputService implements IOutputService {
    private logger;
    private pubsub;
    private watcher;
    private timerId;
    private outputTypes;
    constructor(logger: Logger, pubsub: any);
    addNewType(podName: any, newItem: INewOutputPod): void;
    getPods(): IPodsRes[];
    getOutput(pod: string): {
        output: string;
        err: string;
        name: string;
    };
    unWatchLogs(): Boolean;
    dispose(): void;
    private watchLogs;
    private sendSubscribeData;
}
